git-cliff(1)

NAME
git-cliff - A highly customizable changelog generator ⛰️

SYNOPSIS
git-cliff [-h|--help] [-V|--version] [-v|--verbose]... [-c|--config] [-w|--workdir] [-r|--repository] [--include-path] [--exclude-path] [--with-commit] [-p|--prepend] [-o|--output] [-t|--tag] [-b|--body] [-i|--init] [-l|--latest] [--current] [-u|--unreleased] [--topo-order] [--context] [-s|--strip] [--sort] [RANGE]

DESCRIPTION
A highly customizable changelog generator ⛰️

OPTIONS

-h, --help
    Prints help information

-V, --version
    Prints version information

-v, --verbose
    Increases the logging verbosity

-c, --config=PATH [default: cliff.toml]
    Sets the configuration file
    May also be specified with the GIT_CLIFF_CONFIG environment variable.

-w, --workdir=PATH
    Sets the working directory
    May also be specified with the GIT_CLIFF_WORKDIR environment variable.

-r, --repository=PATH
    Sets the git repository
    May also be specified with the GIT_CLIFF_REPOSITORY environment variable.

--include-path=PATTERN
    Sets the path to include related commits
    May also be specified with the GIT_CLIFF_INCLUDE_PATH environment variable.

--exclude-path=PATTERN
    Sets the path to exclude related commits
    May also be specified with the GIT_CLIFF_EXCLUDE_PATH environment variable.

--with-commit=MSG
    Sets custom commit messages to include in the changelog
    May also be specified with the GIT_CLIFF_WITH_COMMIT environment variable.

-p, --prepend=PATH
    Prepends entries to the given changelog file
    May also be specified with the GIT_CLIFF_PREPEND environment variable.

-o, --output=PATH
    Writes output to the given file
    May also be specified with the GIT_CLIFF_OUTPUT environment variable.

-t, --tag=TAG
    Sets the tag for the latest version
    May also be specified with the GIT_CLIFF_TAG environment variable.

-b, --body=TEMPLATE
    Sets the template for the changelog body
    May also be specified with the GIT_CLIFF_TEMPLATE environment variable.

-i, --init
    Writes the default configuration file to cliff.toml

-l, --latest
    Processes the commits starting from the latest tag

--current
    Processes the commits that belong to the current tag

-u, --unreleased
    Processes the commits that do not belong to a tag

--topo-order
    Sorts the tags topologically

--context
    Prints changelog context as JSON

-s, --strip=PART
    Strips the given parts from the changelog
    [possible values: header, footer, all]

--sort=SORT [default: oldest]
    Sets sorting of the commits inside sections
    [possible values: oldest, newest]

[RANGE]
    Sets the commit range to process

VERSION
v1.3.1

AUTHORS
git-cliff contributors <git-cliff@protonmail.com>